Wallets, tokens & networks
Create Wallet Transfer
Records an audit row for a client-executed wallet transfer, resolving token type and explorer link.
POSThttps://api.toku.com/tga/create-wallet-transfer
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/tga/create-wallet-transfer' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"fromAddress": "string",
"toAddress": "string",
"tokenAmount": "string",
"tokenSymbol": "string",
"network": "string",
"tokenID": "string",
"transactionHash": "string",
"transactionLink": "string",
"clientTransactionId": "string",
"status": "PENDING",
"errorMessage": "string",
"transferType": "DIRECT",
"chainId": 0,
"smartAccountAddress": "string",
"userOpHash": "string",
"estimatedFee": "string"
}'200 response
{
"success": true,
"walletTransferID": "string",
"transactionHash": "string",
"transactionLink": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
fromAddressstringrequiredAllowed: at least 1 characters
toAddressstringrequiredAllowed: at least 1 characters
tokenAmountstringrequiredAllowed: at least 1 characters
tokenSymbolstringrequiredAllowed: at least 1 characters
networkstringrequiredAllowed: at least 1 characters
tokenIDstringtransactionHashstringrequiredtransactionLinkstringclientTransactionIdstringstatusstringAvailable options: PENDING, CONFIRMED, FAILED, SUBMITTED
errorMessagestringAllowed: at most 1000 characters
transferTypestringAvailable options: DIRECT, GASLESS_7702
chainIdnumbersmartAccountAddressstringuserOpHashstringestimatedFeestringResponse
200Successful response
successbooleanrequiredwalletTransferIDstringrequiredtransactionHashstring | nullrequiredtransactionLinkstring | nullrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits